<?php namespace Romanah\Gokbakja\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateRomanahGokbakjaProductionCalculate extends Migration
{
    public function up()
    {
        Schema::create('romanah_gokbakja_production_calculate', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->integer('production_id');
            $table->integer('product_id');
            $table->double('hour_calc', 10, 0);
            $table->double('amount_calc', 10, 0);
            $table->integer('excruiter_id');
            $table->date('date');
            $table->time('time');
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('romanah_gokbakja_production_calculate');
    }
}
